/*
 * Copyright (c) 2020 Nordic Semiconductor ASA
 *
 * SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
 */

#ifndef SLM_AT_AG3352_H_
#define SLM_AT_AG3352_H_

/** @file nrf_cloud_agnss.h
 * @brief Module to provide nRF Cloud A-GNSS support to nRF9160 SiP.
 */

#include <zephyr/kernel.h>
#ifdef __cplusplus
extern "C" {
#endif

/** Exclude the mask angle from the A-GNSS request */
#define EXT_GPS_AG3352_MASK_ANGLE_NONE	0xFF



#if defined(CONFIG_SLM_AG3352)
extern int slm_at_ag3352_init(void);
extern int slm_at_ag3352_uninit(void);
#endif



#ifdef __cplusplus
}
#endif

#endif /* NRF_CLOUD_AGNSS_H_ */
